Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.grape
Interface GrapeEngine

    public interface GrapeEngine

User: Danno.Ferrin Date: Sep 30, 2008 Time: 9:30:46 PM

Method Summary
Modifier and Type | Method and Description
--- | ---
`void` | `addResolver(Map<String,Object> args)`
`Map<String,Map<String,List<String>>>` | `enumerateGrapes()`
`Object` | `grab(Map args)`
`Object` | `grab(Map args, Map... dependencies)`
`Object` | `grab(String endorsedModule)`
`Map[]` | `listDependencies(ClassLoader classLoader)`
`URI[]` | `resolve(Map args, List depsInfo, Map... dependencies)`
`URI[]` | `resolve(Map args, Map... dependencies)`

Method Detail

### grab

    Object grab(String endorsedModule)

### grab

    Object grab(Map args)

### grab

    Object grab(Map args,
                Map... dependencies)

### enumerateGrapes

    Map<String,Map<String,List<String>>> enumerateGrapes()

### resolve

    URI[] resolve(Map args,
                  Map... dependencies)

### resolve

    URI[] resolve(Map args,
                  List depsInfo,
                  Map... dependencies)

### listDependencies

    Map[] listDependencies(ClassLoader classLoader)

### addResolver

    void addResolver(Map<String,Object> args)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD